/*****************************/
/* Inside The Machine - MKS  */
/*****************************/

//Water entity File
#ifndef _EENNEMYSLIME_H
#define _EENNEMYSLIME_H

//Includes
#include "Entity.h"
#include "../µsprite.h"

//Defines

//Paramètres de l'ennemi
// TYPE : ennemi
// p1 et p2 : hx vitesse
// Autres :

class eVSlime : public CEntity
{
   public:
   	eVSlime();
   	virtual ~eVSlime();
   	virtual void Draw(int layer);
	   virtual void Update();
	   virtual void Destroy();
	   virtual void Load();
	   virtual void CheckInteractions();
	   void CheckCollisions();
				   
	public:
	   CSprite spr;          //Sprite du personnage
	   CSprite sprFx2;       //FX no 2
	   
	   int hy;               //Distance x parcourue avant de changer de direction
	   int vitesse;          //Vitesse du personnage
	   bool sensV;           //Sens horizontal de déplacement
	   int distanceY;        //Hauteur courante du saut
	   int timer;
	   bool isJumping;
	   bool isOnTheFloor;    //Si on touche le sol
		bool isOnThePente;    //Si on est sur une pente
		bool isWasOnThePente; //Si on était sur une pente a l'ancienne frame
		bool isFalling;       //Si on tombe
		bool isDontMove;      //Si on ne doit pas bouger
		int velx, vely, maxvely;       //Vitesse de déplacement
		int alpha;
		bool hit;             //Coup
		int dontMoveTime;     //Temps du dont move
		int timeKill;         //Frames de l'animation de mort
};
#endif
